Skip to main content
GET
Get one of a customer's transactions

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

shortName
string
required

Your partner short name

externalUserId
string
required

Your own ID for the customer

transactionId
number
required

Response

transactionId
number
required
type
enum<string>
required
Available options:
DEPOSIT,
DISINVESTMENT,
FEE
status
enum<string>
required

PENDING / TRANSFER_INCOMPLETE: waiting for the money. RECONCILED: money received, waiting to be invested. COMPLETED: invested, units allocated. ARCHIVED: will never complete (see reason)

Available options:
PENDING,
ON_HOLD,
ARCHIVED,
COMPLETED,
TRANSFER_INCOMPLETE,
RECONCILED
plan
object
required
amount
number
required
Example:

5000

currency
string
required
Example:

"KES"

investedAmount
number
required

The amount invested after the fee

Example:

4950

requestedAt
string<date-time>
required
estimatedArrival
string
required

When the investment is expected to complete

Example:

"2026-10-26"

reason
enum<string> | null

Why the Transaction was ARCHIVED

Available options:
PENDING_PAYMENT,
PENDING_INVESTOR_INFORMATION,
TRADE_CANCELLED,
CLIENT_RECALL,
DISINVESTMENT_CANCELLED_BY_CLIENT
fee
number | null
Example:

50

feePercentage
number | null
Example:

1

units
number | null

Null until COMPLETED

paymentReference
string | null

The funding Payment. Null for a fee

payment
object | null

The funding Payment, with its channel, bankReference and mnoReference. Null for a fee